// $Id: CXmlFile.h,v 1.2 2003/04/08 13:54:16 ta_muto Exp $
// The XML File Class

#ifndef __wax_CXmlFile_h
#define __wax_CXmlFile_h

#include <IReader.h>
#include <views/IXmlSource.h>

namespace wax {
	class CXmlFile : public IXmlSource {
		IReader* reader;
		xmlDocPtr doc;
	public:
		CXmlFile(IReader* initReader) { reader = initReader; }
		~CXmlFile();
	
		xmlDocPtr getXmlDocument();
		bool retrieve();
	};
}

#endif
